libvirt (11.6.0-1ubuntu3.4) questing; urgency=medium

  * Fix excessive memory allocation when physical_package_id is large
    (LP: #2153530).
    - d/p/ubuntu/lp2153530-fix-max-socket-calculation.patch: compute socket
      count from unique package IDs instead of the maximum value.

 -- Seyeong Kim <seyeong.kim@canonical.com>  Thu, 21 May 2026 03:50:35 +0000

libvirt (11.6.0-1ubuntu3.3) questing; urgency=medium

  * cpu_map: fix vmx-* MSR features (LP: #2083293)
     - d/p/u/lp2083293-cpu_map-update-vmx-features.patch
  * Enable MSR kernel module load (LP: #2106791)
    In recent CPUs, some CPU features detection is done by reading
    Model Specific Registers (MSR). To do that, libvirt needs the
    msr kernel module to be loaded.
     - d/p/d/x86-install-modules-load.d-file-to-load-msr-module.patch
     - debian/libvirt-common.install.in : install msr.conf file
     - debian/libvirt-common.postinst.in : trigger the module load

 -- Hector Cao <hector.cao@canonical.com>  Wed, 21 Jan 2026 09:46:52 +0100

libvirt (11.6.0-1ubuntu3.2) questing-security; urgency=medium

  * SECURITY UPDATE: memory consumption DoS via XML parsing
    - debian/patches/CVE-2025-12748-1.patch: add virDomainDefIDsParseString
      in src/conf/domain_conf.c, src/conf/domain_conf.h,
      src/libvirt_private.syms.
    - debian/patches/CVE-2025-12748-2.patch: check ACLs before parsing the
      whole domain XML in src/bhyve/bhyve_driver.c.
    - debian/patches/CVE-2025-12748-3.patch: check ACLs before parsing the
      whole domain XML in src/libxl/libxl_driver.c,
    - debian/patches/CVE-2025-12748-4.patch: check ACLs before parsing the
      whole domain XML in src/lxc/lxc_driver.c.
    - debian/patches/CVE-2025-12748-5.patch: check ACLs before parsing the
      whole domain XML in src/vz/vz_driver.c.
    - debian/patches/CVE-2025-12748-6.patch: check ACLs before parsing the
      whole domain XML in src/ch/ch_driver.c.
    - debian/patches/CVE-2025-12748-7.patch: check ACLs before parsing the
      whole domain XML in src/qemu/qemu_driver.c,
      src/qemu/qemu_migration.c, src/qemu/qemu_migration.h,
      src/qemu/qemu_saveimage.c, src/qemu/qemu_saveimage.h,
      src/qemu/qemu_snapshot.c.
    - debian/patches/CVE-2025-12748-8.patch: fix typo in bhyve driver in
      src/bhyve/bhyve_driver.c.
    - CVE-2025-12748
  * SECURITY UPDATE: incorrect world-readable permissions on snapshots
    - debian/patches/CVE-2025-13193.patch: set umask for qemu-img when
      creating external inactive snapshots in src/qemu/qemu_snapshot.c.
    - CVE-2025-13193

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 08 Dec 2025 09:16:59 -0500

libvirt (11.6.0-1ubuntu3.1) questing; urgency=medium

  * d/p/u-aa/lp2127492-*: apparmor: Allow AMD-SEV device access for
    AMD-SEV VM (LP: #2127492)

 -- Hector Cao <hector.cao@canonical.com>  Wed, 12 Nov 2025 12:40:51 +0100

libvirt (11.6.0-1ubuntu3) questing; urgency=medium

  * Support both GNU and Rust coreutils paths in apparmor policy (LP: #2123870)
    - d/p/u-aa/lp2123870-apparmor-use-the-coreutils-tunable-for-coreutils.patch

 -- Georgia Garcia <georgia.garcia@canonical.com>  Thu, 23 Sep 2025 15:53:13 -0300

libvirt (11.6.0-1ubuntu2) questing; urgency=medium

  [ Lukas Märdian ]
  * Default to qemu:///system libvirt URI (LP: #2027838)
    On Ubuntu we always want to initialize the URI to qemu:///system,
    regardless if running as privileged daemon or not. This keeps backward
    compatibility with Ubuntu's default behavior, while still allowing users
    more flexibility in changing that default, through config files or
    environment variables.
    - d/p/u/lp-2027838-conf-Default-to-qemu-system-libvirt-URI.patch
  * d/t/default-uri: add basic test for LIBVIRT_DEFAULT_URI handling
  * d/libvirt-clients.conffiles: Remove libvirt-uri.sh profile.d script
  * Drop Changes:
    - libvirt-uri.sh, d/rules: Automatically switch default libvirt URI
      for users via user profile (qemu:///system)

  [ Hector Cao ]
  * d/p/u-aa/lp2079869-* : virt-aa-helper: Avoid duplicate when append rule
    (LP: #2120278)

 -- Hector Cao <hector.cao@canonical.com>  Wed, 27 Aug 2025 10:18:49 +0200

libvirt (11.6.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian experimental (LP: #2115181). Remaining changes:
  * Remaining changes:
    - d/p/u-aa/lp2079869-*: allow access for bridge helper to sys node
      (LP 2079869)
    - d/*(post|pre)(rm|inst), d/*.install: drop generated files
    - Disable libssh2 support (universe dependency)
    - d/control: add libzfslinux-dev to build-deps
    - debian/patches/ubuntu/ovmf_paths.patch: adjust paths to secboot.fd UEFI
      Secure Boot enabled variants of the OVMF firmware and variable store for
      the paths where we ship these files in Ubuntu.
    - Set qemu-group to kvm (for compat with older ubuntu)
    - Additional apport package-hook
    - Autostart default bridged network (As upstream does, but not Debian).
      In addition to just enabling it our solution provides:
      + do not autostart if subnet is already taken (e.g. in guests).
      + iterate some alternative subnets before giving up
      + d/l-d-config-network.postinst: clear 'autostarted' state, to activate
        network on install (LP 2093864)
      + d/control: Add Breaks/Replaces, to account for the move of configuration
        of the default bridged network to libvirt-daemon-config-network.
        (LP 2107448)
      + d/t/network: Test automatic virbr0 setup via autopkgtest.
      + d/l-d-config-network.{pre,post}inst.in: diversions for network config.
      + d/l-d-config-network.{pre,post}inst.in: retain non pkg owned network
        config.
    - d/p/ubuntu/Allow-libvirt-group-to-access-the-socket.patch: This is
      the group based access to libvirt functions as it was used in Ubuntu
      for quite a long time.
      + d/p/ubuntu/daemon-augeas-fix-expected.patch fix some related tests
        due to the group access change.
      + d/libvirt-daemon-driver-qemu.postinst*: add users in sudo to the libvirt
        group.
    - Update README.Debian with Ubuntu changes
    - d/p/ubuntu/ubuntu_machine_type.patch: accept ubuntu types as pci440fx
    - fix autopkgtests (LP 1899180)
      + d/t/control, d/t/smoke-qemu-session: fixup smoke-qemu-session by making
        vmlinuz available and accessible (Debian bug 848314)
      + d/t/control: fix smoke-qemu-session by ensuring the service will run
        installing libvirt-daemon-system
      + d/t/smoke-lxc: fix smoke-lxc by ignoring potential issues on destroy as
        long as the following undefine succeeds
      + d/t/smoke-lxc: use systemd instead of sysV to restart the service
      + d/t/control, d/t/smoke-lxc: retry service restart and skip test if
        failing; This was flaky on some release/architectures
      + d/t/smoke-lxc: retry check_domain being flaky on arm64
    - dnsmasq related enhancements
      + run dnsmasq as libvirt-dnsmasq (LP 1743718)
      + d/libvirt-daemon-config-network.postinst*: add libvirt-dnsmasq user
        and group
      + d/libvirt-daemon-config-network.postrm*: remove libvirt-dnsmasq user
        and group
        on purge
      + d/p/ubuntu/dnsmasq-as-priv-user: write dnsmasq config with user
        libvirt-dnsmasq and adapt the self tests to expect that config
      + Add dnsmasq configuration to work with system wide dnsmasq-base
    - d/p/ubuntu/set-default-machine-to-ubuntu.patch: to select default
      machine type correctly with newer qemu/libvirt
    - d/p/ubuntu/lp-1861125-ubuntu-models: recognize Ubuntu models for
      (LP 1861125) fixups
    - d/p/ubuntu/wait-for-qemu-kvm.patch - avoid hangs on startup (LP 1887592)
    - d/libvirt-daemon-common.libvirt-guests.default: shut guests down
      in parallel
    - Apparmor Delta that is Ubuntu specific or yet to be upstreamed
      split into logical pieces. File names in debian/patches/ubuntu-aa/:
      + 0020-virt-aa-helper-ubuntu-storage-paths.patch:
        apparmor, virt-aa-helper: Allow various storage pools and image
        locations
      + 0029-appmor-libvirt-qemu-Add-9p-support.patch: appmor,
        libvirt-qemu: Add 9p support
      + 0031-virt-aa-helper-Ask-for-no-deny-rule-for-readonly-dis.patch:
        virt-aa-helper: Ask for no deny rule for readonly disk
      + 0032-apparmor-libvirt-qemu-Allow-reading-charm-specific-c.patch:
        apparmor, libvirt-qemu: Allow reading charm-specific ceph config
      + 0033-UBUNTU-only-apparmor-for-kvm.powerpc-LP-1680384.patch: allow
        commands executed by ubuntu only kvm wrapper on ppc64el
        (LP 1686621 LP 1680384 LP 1784023)
      + 0034-apparmor-virt-aa-helper-access-for-snapped-nova.patch:
        apparmor, virt-aa-helper: access for snapped nova
      + lp-1815910-allow-vhost-hotplug.patch: avoid apparmor issues
        with vhost-net/vhost-vsock/vhost-scsi hotplug (LP 1815910)
    - libvirt should not use user/group tss for swtpm (LP 1948880)
      + d/libvirt-daemon-system.postinst: own swtpm logdir by user swtpm
      + d/p/u/swtpm-by-swtpm-user.patch: change default spawned swtpm processes
        to user swtpm and adapt expected self test result changes triggered by
        this
      + d/libvirt-daemon-system.postinst: create user/group swtpm if not present
        due to swtpm-tools (LP 1951975)
    - d/libvirt-clients.lintian-overrides: Add script-not-executable lintian
      override
    - libvirt-uri.sh, d/rules: Automatically switch default libvirt URI
      for users via user profile (qemu:///system)
      + Update: Set LIBVIRT_DEFAULT_URI to "qemu:///system" in all
        cases. (LP #2027838)
    - d/control: Demote passt to Suggests (from Recommends) for
      libvirt-daemon-driver-qemu, because passt is in universe.
    - d/control: Make libvirt-daemon Suggest (instead of Recommend)
      libvirt-daemon-plugin-sanlock, which is in universe.
    - d/control: re-generate from d/control-in: we stop changing both files
      and eventually re-generate from d/control-in at built as intended.
  * Updated changes
    - d/p/u/ovmf_paths.patch: update to match new upstreams qemu.conf
    - d/p/u/swtpm-by-swtpm-user.patch: update to match new upstreams qemu.conf

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 04 Aug 2025 13:24:59 +0200

libvirt (11.6.0-1) experimental; urgency=medium

  * [047260f] New upstream version 11.6.0

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 01 Aug 2025 23:22:24 +0200

libvirt (11.5.0-1) experimental; urgency=medium

  * [0ae9dd8] New upstream version 11.5.0

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 02 Jul 2025 21:22:39 +0200

libvirt (11.4.0-1ubuntu2) questing; urgency=medium

  * d/l-d-config-network.postinst: clear 'autostarted' state, to activate
    network on install (LP: #2093864)
  * Drop Changes: [Replaced by the above]
    - Start default network on install (LP 2093864)
      + d/l-d-config-network.postinst: add explicit virsh net-start workaround
      + d/control: add libvirt-clients Recommends to l-d-config-network
      + d/l-d-config-network.dirs: add var/libvirt/dnsmasq to store lease files
        to avoid a warning on install

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 25 Jun 2025 11:02:02 +0200

libvirt (11.4.0-1ubuntu1) questing; urgency=medium

  [ Christian Ehrhardt ]
  * Merge with Debian experimental (LP: #2110424)
  * Among many other imrpovements this fixes
    - ppc64: P11 Support in Libvirt (LP: #2109469)
    - s390x: KVM: Implement virsh hypervisor-cpu-models (LP: #2027925)
  * Remaining changes:
    - d/p/u-aa/lp2079869-*: allow access for bridge helper to sys node
      (LP 2079869)
    - d/*(post|pre)(rm|inst), d/*.install: drop generated files
    - Disable libssh2 support (universe dependency)
    - d/control: add libzfslinux-dev to build-deps
    - debian/patches/ubuntu/ovmf_paths.patch: adjust paths to secboot.fd UEFI
      Secure Boot enabled variants of the OVMF firmware and variable store for
      the paths where we ship these files in Ubuntu.
    - Set qemu-group to kvm (for compat with older ubuntu)
    - Additional apport package-hook
    - Autostart default bridged network (As upstream does, but not Debian).
      In addition to just enabling it our solution provides:
      + do not autostart if subnet is already taken (e.g. in guests).
      + iterate some alternative subnets before giving up
    - d/p/ubuntu/Allow-libvirt-group-to-access-the-socket.patch: This is
      the group based access to libvirt functions as it was used in Ubuntu
      for quite a long time.
      + d/p/ubuntu/daemon-augeas-fix-expected.patch fix some related tests
        due to the group access change.
      + d/libvirt-daemon-driver-qemu.postinst*: add users in sudo to the libvirt
        group.
    - Update README.Debian with Ubuntu changes
    - d/p/ubuntu/ubuntu_machine_type.patch: accept ubuntu types as pci440fx
    - fix autopkgtests (LP 1899180)
      + d/t/control, d/t/smoke-qemu-session: fixup smoke-qemu-session by making
        vmlinuz available and accessible (Debian bug 848314)
      + d/t/control: fix smoke-qemu-session by ensuring the service will run
        installing libvirt-daemon-system
      + d/t/smoke-lxc: fix smoke-lxc by ignoring potential issues on destroy as
        long as the following undefine succeeds
      + d/t/smoke-lxc: use systemd instead of sysV to restart the service
      + d/t/control, d/t/smoke-lxc: retry service restart and skip test if
        failing; This was flaky on some release/architectures
      + d/t/smoke-lxc: retry check_domain being flaky on arm64
    - dnsmasq related enhancements
      + run dnsmasq as libvirt-dnsmasq (LP 1743718)
      + d/libvirt-daemon-driver-qemu.postinst*: add libvirt-dnsmasq user
        and group
      + d/libvirt-daemon-driver-qemu.postrm*: remove libvirt-dnsmasq user
        and group
        on purge
      + d/p/ubuntu/dnsmasq-as-priv-user: write dnsmasq config with user
        libvirt-dnsmasq and adapt the self tests to expect that config
      + d/libvirt-daemon-system.postinst: fix old libvirt-dnsmasq users group
      + Add dnsmasq configuration to work with system wide dnsmasq-base
    - d/p/ubuntu/set-default-machine-to-ubuntu.patch: to select default
      machine type correctly with newer qemu/libvirt
    - d/p/ubuntu/lp-1861125-ubuntu-models: recognize Ubuntu models for
      (LP 1861125) fixups
    - d/p/ubuntu/wait-for-qemu-kvm.patch - avoid hangs on startup (LP 1887592)
    - d/libvirt-daemon-common.libvirt-guests.default: shut guests down
      in parallel
    - Apparmor Delta that is Ubuntu specific or yet to be upstreamed
      split into logical pieces. File names in debian/patches/ubuntu-aa/:
      + 0020-virt-aa-helper-ubuntu-storage-paths.patch:
        apparmor, virt-aa-helper: Allow various storage pools and image
        locations
      + 0029-appmor-libvirt-qemu-Add-9p-support.patch: appmor,
        libvirt-qemu: Add 9p support
      + 0031-virt-aa-helper-Ask-for-no-deny-rule-for-readonly-dis.patch:
        virt-aa-helper: Ask for no deny rule for readonly disk
      + 0032-apparmor-libvirt-qemu-Allow-reading-charm-specific-c.patch:
        apparmor, libvirt-qemu: Allow reading charm-specific ceph config
      + 0033-UBUNTU-only-apparmor-for-kvm.powerpc-LP-1680384.patch: allow
        commands executed by ubuntu only kvm wrapper on ppc64el
        (LP 1686621 LP 1680384 LP 1784023)
      + 0034-apparmor-virt-aa-helper-access-for-snapped-nova.patch:
        apparmor, virt-aa-helper: access for snapped nova
      + lp-1815910-allow-vhost-hotplug.patch: avoid apparmor issues
        with vhost-net/vhost-vsock/vhost-scsi hotplug (LP 1815910)
    - libvirt should not use user/group tss for swtpm (LP 1948880)
      + d/libvirt-daemon-system.postinst: own swtpm logdir by user swtpm
      + d/p/u/swtpm-by-swtpm-user.patch: change default spawned swtpm processes
        to user swtpm and adapt expected self test result changes triggered by
        this
      + d/libvirt-daemon-system.postinst: create user/group swtpm if not present
        due to swtpm-tools (LP 1951975)
    - d/libvirt-clients.lintian-overrides: Add script-not-executable lintian
      override
    - libvirt-uri.sh, d/rules: Automatically switch default libvirt URI
      for users via user profile (qemu:///system)
      + Update: Set LIBVIRT_DEFAULT_URI to "qemu:///system" in all
        cases. (LP #2027838)
    - d/control: Demote passt to Suggests (from Recommends) for
      libvirt-daemon-driver-qemu, because passt is in universe.
    - d/control: Make libvirt-daemon Suggest (instead of Recommend)
      libvirt-daemon-plugin-sanlock, which is in universe.
  * Added changes
    - d/control: re-generate from d/control-in: we stop changing both files
      and eventually re-generate from d/control-in as it is meant to be.
      Having more than just d/control-in is only a git-import artifact anyway.
  * Drop changes [in Debian 11.1.0-2]
    - Fix potential issue in regard to conffile transfer on upgrades
      (LP 2105496)
  * Drop changes [in Upstream 11.1.0]
    - d/control: drop libvirt-lxc, vbox and xen drivers to suggest
    - apparmor: Allow SGX if configured (LP 2100024)
    - d/p/u/lp2097886: Enable virtio-mem support not in 11.0 (LP 2097886)

  [ Lukas Märdian ]
  * Move autostart of default bridged network from libvirt-daemon-driver-qemu
    to libvirt-daemon-config-network.postinst, as it depends on the default.xml
    template shipped by the latter. (LP: #2107448)
    - Move dnsmasq related enhancements to libvirt-daemon-config-network
      + run dnsmasq as libvirt-dnsmasq (LP: 1743718)
      + d/libvirt-daemon-config-network.postinst*: add libvirt-dnsmasq
        user/group, as moved from d/libvirt-daemon-driver-qemu.postinst.
      + d/libvirt-daemon-config-network.postrm*: remove libvirt-dnsmasq
        user/group on purge, as moved from d/libvirt-daemon-driver-qemu.postinst
      + Move dnsmasq configuration to work with system wide dnsmasq-base from
        libvirt-daemon-driver-qemu.post* to libvirt-daemon-config-network.post*
    - d/control: Add Breaks/Replaces, to account for the move of configuration
      of the default bridged network to libvirt-daemon-config-network.
      As per https://wiki.debian.org/PackageTransition case #9.
    - d/t/network: Test automatic virbr0 setup via autopkgtest.
    - d/l-d-config-network.{pre,post}inst.in: Add diversions for network config.
    - d/l-d-config-network.{pre,post}inst.in: retain non pkg owned network
      config.
  * Start default network on install (LP: #2093864)
    - d/l-d-config-network.postinst: add explicit virsh net-start workaround
    - d/control: add libvirt-clients Recommends to l-d-config-network
    - d/l-d-config-network.dirs: add var/libvirt/dnsmasq to store lease files
      to avoid a warning on install
  * Drop Changes:
    - d/libvirt-daemon-system.postinst: fix old libvirt-dnsmasq users group
      [Upgrade path for 4.0.0-1ubuntu5~ not relevant anymore]

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 11 Jun 2025 13:11:23 +0200

libvirt (11.4.0-1) experimental; urgency=medium

  * [f8bc946] New upstream version 11.4.0
  * [f4cca9f] control: daemon-common Depends on kmod
  * [3dd784b] control: Drop several Build-Depends

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 05 Jun 2025 00:07:28 +0200

libvirt (11.3.0-3) unstable; urgency=medium

  * [d10b70f] patches: Add backports
    - backport/qemu-Be-more-forgiving-when-acquiring-QUERY-job-[...]

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 02 Jul 2025 22:15:28 +0200

libvirt (11.3.0-2) unstable; urgency=medium

  * [eb4a97a] patches: Add backports
    - backport/[...]-Don-t-setup-qemu-for-inco.patch
      - Closes: #1104735

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 01 Jun 2025 16:39:44 +0200

libvirt (11.3.0-1) unstable; urgency=medium

  * [228f666] New upstream version 11.3.0

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 02 May 2025 22:25:28 +0200

libvirt (11.2.0-3) experimental; urgency=medium

  * [0b16592] control: Introduce ARCHES_WIRESHARK
    - Don't build the Wireskark dissector on m68k or x32
  * [07012be] patches: Add debian/Drop-inter-package-Also-lines-[...]
    - Work around a limitation in deb-systemd-helper
    - Closes: #1082939
  * [c192aea] daemon-system: Only build on ARCHES_QEMU
    - It depends on the QEMU driver

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 22 Apr 2025 22:27:04 +0200

libvirt (11.2.0-2) unstable; urgency=medium

  * [d984f9c] control: Overhaul package descriptions
  * [0360fd6] patches: Add backport/cpu_map-Install-Ampere-1-[...]
    - Closes: #1102133

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 08 Apr 2025 11:57:53 +0200

libvirt (11.2.0-1) unstable; urgency=medium

  * [56cf4c6] New upstream version 11.2.0
  * [a5b5314] control: Bump Standards-Version to 4.7.2
    - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 04 Apr 2025 22:09:21 +0200

libvirt (11.1.0-2) experimental; urgency=medium

  * [9e2b202] snippets: Drop custom conffile transfer logic
    - It was intended to make upgrades smoother, but unfortunately
      it caused serious issues in certain scenarios. Let dpkg's
      built-in logic take care of everything instead
    - Closes: #1094583
  * [efe5fbc] daemon: Drop Recommends on non-QEMU hypervisor drivers
  * [904900c] control: Drop more unnecessary package relationships

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 23 Mar 2025 18:10:38 +0100

libvirt (11.1.0-1) unstable; urgency=medium

  * [da3bd66] New upstream version 11.1.0
  * [88ce3fd] control: Bump Standards-Version to 4.7.1
    - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 03 Mar 2025 22:15:15 +0100

libvirt (11.0.0-2) unstable; urgency=medium

  [ Michael Biebl ]
  * [4e3c6ef] daemon-config-*: Use dpkg triggers for daemon restart
    - Ensures that libvirtd is only ever restarted once per apt invocation

  [ Andrea Bolognani ]
  * [06d8044] daemon-driver-*: Restart daemon on install/remove
    - Makes newly-installed drivers usable right away
  * [12ebaf7] patches: Add backport/virsysinfo-fix-RISC-V-detection.patch
    - Closes: #1093823

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 30 Jan 2025 23:47:39 +0100

libvirt (11.0.0-1) unstable; urgency=medium

  * [e2a1251] New upstream version 11.0.0
    - Closes: #1089607
    - Closes: #1092220

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 17 Jan 2025 23:39:10 +0100

libvirt (10.10.0-4) unstable; urgency=medium

  [ Pino Toscano ]
  * [38ace20] Unconditionally enable LXC support on all Linux architectures
    - Previously we had to explicitly avoid enabling it on ia64, but now that
      the architecture has been dropped from Debian we can simplify things

  [ Maximilian Engelhardt ]
  * [c8f1b0f] Remove armhf from ARCHES_XEN
    - As of 4.19.1-1, Xen is no longer being built on armhf
    - Closes: #1090990

  [ Andrea Bolognani ]
  * [db8e6b7] patches: Add backport/lxc-remove-no-longer-working-netns-[...]
    - Closes: #1088929
  * [a0ba9b4] control: Once again prefer iptables for the network driver
    - Undoes the change introduced in 10.10.0-2
    - Unfortunately there are serious compatibility issues between the
      nftables backend and popular software such as Docker and ufw, so it's
      not a suitable default for Debian
    - It's still possible for users to manually switch to the nftables
      backend and uninstall iptables if they so desire
    - Closes: #1090355

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 27 Dec 2024 15:33:23 +0100

libvirt (10.10.0-3) unstable; urgency=medium

  [ Heinrich Schuchardt ]
  * [7e373ad] virt-aa-helper: allow riscv64 EDK II

  [ Andrea Bolognani ]
  * [117e0da] patches: Add backport/qemu-tpm-do-not-update-[...]
    - Fixes daemon crash when transient domains with TPM are defined
    - Closes: #1089616

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 13 Dec 2024 22:27:38 +0100

libvirt (10.10.0-2) experimental; urgency=medium

  [ Carles Pina i Estany ]
  * [571578c] debconf: Add Catalan translation

  [ Andrea Bolognani ]
  * [4a7c66d] control: Prefer nftables for the network driver
    - Closes: #938929
  * [065cbe9] control: Introduce ssh-proxy package

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 05 Dec 2024 23:39:07 +0100

libvirt (10.10.0-1) unstable; urgency=medium

  * [24c4515] New upstream version 10.10.0

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 02 Dec 2024 23:54:42 +0100

libvirt (10.9.0-2) experimental; urgency=medium

  * [49e8455] patches: Drop forward/Reduce-udevadm-settle-timeout-[...]
    - This workaround should no longer be needed
  * [c1978c6] control: daemon Depends on daemon-log
    - libvirtd.service can't start if virtlogd.socket is not present
  * [81015c2] control: daemon-driver-lxc Depends on daemon-driver-network
    - The LXC driver uses the network driver directly
  * [f73bb3c] control: daemon-driver-storage-* Depends on daemon-driver-storage
    - The drivers for the various storage technologies are completely
      useless if the main storage driver is not present
  * [8b727e3] control: Fix Depends between arch:any and arch:all packages
    - In a few cases, the relationship was declared incorrectly
    - Closes: #1056988
  * [f316a89] control: daemon-driver-storage only Suggests nfs-common
    - It was accidentally turned into a Recommends in 10.6.0-2
    - Closes: #1081981
  * [7d61238] control: Drop Recommends on init system
    - Daemons generally don't declare this kind of relationship towards
      init systems in Debian
  * [3785ee5] control: daemon-driver-qemu Depends on systemd-container
    - The QEMU driver talks to systemd-machined
    - The dependency already existed, but it was a Recommends until now
  * [96d3775] control: daemon-driver-lxc Depends on systemd-container
    - The LXC driver talks to systemd-machined
  * [527cf92] control: Drop Depends on firewalld
    - libvirt talks to firewalld if it's installed, but doesn't need it
      to implement any of its functionality
  * [d9fb1b0] control: daemon-driver-qemu Depends on QEMU itself
    - The QEMU driver can't do anything useful without it
  * [e994d4c] control: Introduce ARCHES_DMIDECODE
    - daemon-common now Depends on dmidecode on all architectures where
      the latter is getting built

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 14 Nov 2024 00:38:07 +0100

libvirt (10.9.0-1) unstable; urgency=medium

  * [d7c9487] New upstream version 10.9.0

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 01 Nov 2024 17:25:34 +0100

libvirt (10.8.0-1) unstable; urgency=medium

  * [d22a732] New upstream version 10.8.0
    - Update for qemu-bridge-helper's new location (Closes: #1082530)
  * [b9137d5] patches: Drop old backports
  * [a720c4e] patches: Add new backports
    - backport/Revert-network-un-set-the-firewalld-zone-while-[...]
    - backport/Revert-network-support-setting-firewalld-zone-[...]
    - backport/network-call-network-Add-Remove-FirewallRules-[...]
    - backport/network-a-different-way-of-supporting-firewalld-[...]
    - backport/network-a-different-implementation-of-un-setting-[...]
  * [1b48d33] control: Replace libyajl with libjson-c
    - The former is no longer maintained upstream
  * [84fda34] control: Add Build-Depends on libbsd-dev
    - readpassphrase() is now used instead of getpass()
  * [386ce9b] control: Drop Build-Depends on nfs-common
    - showmount's presence is now detected at runtime

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 13 Oct 2024 11:41:48 +0200

libvirt (10.7.0-3) unstable; urgency=medium

  * [70a5d8d] patches: Add backport/apparmor-Don-t-check-for[...]
    - Ensures that AppArmor doesn't get disabled for QEMU domains
      just because the LXC driver is not installed (Closes: #1081396)

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 16 Sep 2024 21:41:15 +0200

libvirt (10.7.0-2) unstable; urgency=medium

  * [6fb4103] control: Turn dmidecode back into a Recommends
    - It was accidentally made it into a Depends in 10.6.0-2,
      which has resulted in libvirt-daemon being uninstallable on
      architectures that don't have dmidecode (e.g. ppc64el)

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 08 Sep 2024 15:15:11 +0200

libvirt (10.7.0-1) unstable; urgency=medium

  * [a84ccbd] New upstream version 10.7.0
    - Update for qemu-bridge-helper's new location (Closes: #1077915)
    - Fixes CVE-2024-8235 (Closes: #1080218)

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 05 Sep 2024 20:59:27 +0200

libvirt (10.6.0-3) experimental; urgency=medium

  * [01e7456] control: Bump Standards-Version to 4.7.0
    - No changes needed.
  * [b172fde] control: Change some Breaks+Replaces to Conflicts
    - Prevents file loss scenarios during upgrade (DEP17 M7)
    - Thanks to Helmut Grohne
  * [4f20e64] snippets: Create protective diversions
    - Prevents file loss scenarios during upgrade (DEP17 M8)
    - Thanks to Helmut Grohne

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 01 Sep 2024 16:31:02 +0200

libvirt (10.6.0-2) experimental; urgency=medium

  * [9333950] control: Introduce daemon-common package
    + As well as a bunch more. In general, every single driver and
      storage backend comes with its own binary package now, which
      makes it possible to decide exactly what gets installed
  * [d776368] control: Mark daemon-system-* packages as dummy
    + Configuration for the daemon is now shipped in libvirt-daemon
  * [0ac1f2c] control: Mark sanlock package as dummy
    + Replaced by libvirt-daemon-plugin-sanlock
  * [cf64ba3] install: Perform usr-merge transition
    - Thanks to Michael Biebl, Helmut Grohne (Closes: #1064126)

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 24 Aug 2024 13:37:16 +0200

libvirt (10.6.0-1) unstable; urgency=medium

  * [65e5d2b] New upstream version 10.6.0
  * [cca0f9c] control: Drop Build-Depends on pm-utils
    - Support is explicitly disabled
  * [963bd56] control: Drop Build-Depends on systemd
    - It's not used
  * [7c418f9] control: Suggest daemon on Linux only
    - It doesn't get built elsewhere
  * [664a6db] control: Enable more features on loong64.
    - Start building the QEMU and LXC hypervisor drivers as
      well as the glusterfs and ceph storage drivers
    - Thanks to Dandan Zhang (Closes: #1075758)

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 07 Aug 2024 02:50:03 +0200

libvirt (10.5.0-1) unstable; urgency=medium

  * [a8c62f5] New upstream version 10.5.0
    - Fixes qemu:///session (Closes: #1072723, #1072769)

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 04 Jul 2024 00:44:29 +0200

libvirt (10.4.0-1) unstable; urgency=medium

  * [7ed6608] New upstream version 10.4.0
  * [d8acf23] patches: Drop backports

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 04 Jun 2024 00:19:48 +0200

libvirt (10.3.0-3) unstable; urgency=medium

  * [aa7ed20] patches: Add backport/tests-fix-hang-in-virshtest[...]
    - Fixes FTBFS

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 09 May 2024 00:03:19 +0200

libvirt (10.3.0-2) unstable; urgency=medium

  * [13f1f61] patches: Add backport/vsh-Don-t-init-history[...]
    - Fixes FTBFS (Closes: #1070498)

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 07 May 2024 00:04:24 +0200

libvirt (10.3.0-1) unstable; urgency=medium

  * [7845089] New upstream version 10.3.0
  * [be65bee] patches: Add backport/rpc-ensure-temporary-GSource[...]
    - Fixes CVE-2024-4418 (Closes: #1070330)

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 04 May 2024 00:16:21 +0200

libvirt (10.2.0-1) unstable; urgency=medium

  * [c1118d1] New upstream version 10.2.0
    - Fixes CVE-2024-2494 (Closes: #1067461)

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 02 Apr 2024 23:42:38 +0200

libvirt (10.1.0-1) unstable; urgency=medium

  * [517918e] New upstream version 10.1.0
    - Fixes CVE-2024-1441 (Closes: #1066058)
  * [84128fe] patches: Drop backports

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 20 Mar 2024 00:18:12 +0100

libvirt (10.0.0-3) experimental; urgency=medium

  * [e31fc9e] control: Recommend pkgconf instead of pkg-config
  * [fd2edf5] templates: Convert some files to templates
    - Some of the packaging files are now maintained as templates,
      where values are dynamically injected at build time. See
      debian/README.source for additional information
  * [ff0974e] control: Improve driver-specific package relationships
    - Ensure installability on architectures where the QEMU
      driver has been intentionally disabled

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 21 Feb 2024 23:04:34 +0100

libvirt (10.0.0-2) unstable; urgency=medium

  * [9a4ad47] patches: Add backport/scripts-Make-check-symfile[...]
    - Fixes compilation on alpha
  * [aa930a3] patches: Add backport/apparmor-Add-user-session-path[...]
    - Fixes use of passt with qemu:///session and AppArmor enabled
    - Closes: #1061678
  * [8810281] rules: Don't attempt to update git submodules
  * [bf4fab1] rules: Don't run syntax-check tests

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 04 Feb 2024 10:54:58 +0100

libvirt (10.0.0-1) unstable; urgency=medium

  * [c80339d] New upstream version 10.0.0

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 16 Jan 2024 23:11:05 +0100

libvirt (9.10.0-1) unstable; urgency=medium

  * [520e93f] New upstream version 9.10.0
  * [59b48a9] patches: Drop obsolete patches
    - forward/Pass-GPG_TTY-env-var-to-the-ssh-binary.patch
  * [1aa8420] control: Recommend passt with QEMU driver

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 02 Dec 2023 00:13:16 +0100

libvirt (9.9.0-1) unstable; urgency=medium

  * [df62dc1] New upstream version 9.9.0
  * [80870c1] patches: Drop obsolete patches
    - backport/meson-Improve-nbdkit-configurability.patch
    - forward/meson-Fix-XDR-check-for-GNU-Hurd.patch

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 04 Nov 2023 00:36:00 +0100

libvirt (9.8.0-2) unstable; urgency=medium

  [ Michal Maloszewski ]
  * [03d707d] libvirtd.default: Document TCP/TLS usage
    - Closes: #1050464
    - LP: #1960937

  [ Andrea Bolognani ]
  * [53f248b] control: Make more packages Linux-only
    - Among the packages that are currently arch:any only libvirt0,
      libvirt-dev and libvirt-clients make sense on non-Linux
  * [f1f8713] patches: Add forward/meson-Fix-XDR-check-for-GNU-Hurd.patch
    - Make it possible to build on hurd-i386

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 13 Oct 2023 13:55:07 +0200

libvirt (9.8.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * [a3a1f2e] Enable the rbd/ceph storage driver only on 64bit architectures
    - Closes: #1053168

  [ Andrea Bolognani ]
  * [c52c885] New upstream version 9.8.0
  * [9c190ce] patches: Add backports
    - backport/meson-Improve-nbdkit-configurability.patch
  * [c24237a] rules: Temporarily disable nbdkit support
    - AppArmor support is not ready yet

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 05 Oct 2023 23:27:45 +0200

libvirt (9.7.0-1) unstable; urgency=medium

  * [4864e4d] New upstream version 9.7.0
  * [c25e497] patches: Drop backports
  * [fa6ecf6] dirs: Don't ship channels directory
    - The sockets used to implement channels for QEMU domains are
      ephemeral runtime data, and are now correctly created
      under /run/libvirt instead of /var/lib/libvirt

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 13 Sep 2023 21:47:40 +0200

libvirt (9.6.0-3) experimental; urgency=medium

  * [e380ddb] rules: Fix handling of ARCHES_{QEMU,LXC}
    - Deal correctly with contents, such as configuration files,
      that are specific to some hypervisor driver

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 21 Aug 2023 21:49:04 +0200

libvirt (9.6.0-2) experimental; urgency=medium

  * [6456ab6] control: Drop Build-Depends on qemu-system-common
    - No longer needed
  * [cd2ed06] rules: Introduce ARCHES_QEMU
    - Only build the QEMU hypervisor driver on architectures where
      QEMU system emulator binaries are available

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 20 Aug 2023 21:00:40 +0200

libvirt (9.6.0-1) unstable; urgency=medium

  * [74213a2] New upstream version 9.6.0
    - Fixes CVE-2023-3750 (Closes: #1041811)
  * [cc3a788] control: Require AppArmor 3
  * [54d65bd] patches: Add backports
    - backport/src-fix-max-file-limits-in-systemd-services.patch

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 05 Aug 2023 19:01:56 +0200

libvirt (9.5.0-2) unstable; urgency=medium

  [ Pino Toscano ]
  * [2adb625] Enable the glusterfs storage driver only on 64bit architectures

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 25 Jul 2023 20:04:51 +0200

libvirt (9.5.0-1) unstable; urgency=medium

  * [cd75481] New upstream version 9.5.0

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 03 Jul 2023 20:58:18 +0200

libvirt (9.4.0-1) experimental; urgency=medium

  * [98c5c4c] New upstream version 9.4.0
  * [d0f1ab7] patches: Drop debian/Debianize-systemd-service-files.patch
    - Changes to the upstream build system make these
      Debian-specific modifications no longer necessary

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 02 Jun 2023 18:21:20 +0200

libvirt (9.3.0-2) experimental; urgency=medium

  * [4e3ec2a] links: Link /usr/share/doc/* to /usr/share/doc/libvirt0
    - The documentation directory for all binary packages (except
      for libvirt-doc) is now a symlink to that of libvirt0, which
      means that we no longer install 20+ copies of the same files

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 21 May 2023 16:14:16 +0200

libvirt (9.3.0-1) experimental; urgency=medium

  * [45efa38] New upstream version 9.3.0
    - Closes: #1024504

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 04 May 2023 22:44:31 +0200

libvirt (9.2.0-2) experimental; urgency=medium

  [ Andrea Bolognani ]
  * [4d3b6ff] debconf: Add Spanish translation
    - Thanks to Jonathan Bustillos (Closes: #986773)
  * [5dbd337] debconf: Add Italian translation
    - Thanks to Ceppo (Closes: #1019161)
  * [23c7d71] debconf: Add Romanian translation
    - Thanks to Remus-Gabriel Chelu (Closes: #1032335)
  * [faef0ca] patches: Drop forward/Skip-vircgrouptest.patch
    - Should no longer be needed

  [ Pino Toscano ]
  * [351123e] Limit architectures with RBD support
    - No longer attempt to build the RBD storage driver on Linux
      architectures where Ceph itself is not built (e.g. ppc64)
  * [689bbe6] control: switch libc6-dev B-D to libc-dev
    - Should make libvirt buildable on architectures that don't
      have libc6-dev (e.g. ia64)

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 11 Apr 2023 22:08:24 +0200

libvirt (9.2.0-1) experimental; urgency=medium

  * [62fdd34] New upstream version 9.2.0

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 03 Apr 2023 13:10:56 +0200

libvirt (9.1.0-1) experimental; urgency=medium

  * [92a1704] New upstream version 9.1.0
  * [7c31663] patches: Re-enable passt support
  * [85c31f2] patches: Drop backports
  * [1268425] rules: Add missing dependencies for libvirt-clients-qemu

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 04 Mar 2023 11:10:04 +0100

libvirt (9.0.0-2) unstable; urgency=medium

  * [de81410] patches: Add backports
    - backport/qemu_domain-Don-t-unref-NULL-hash-table-in-qemuDomainRefr.patch
      - Closes: #1030671
    - backport/qemu-Jump-to-cleanup-label-on-umount-failure.patch
    - backport/qemu_namespace-Deal-with-nested-mounts-when-umount-ing-de.patch
    - backport/qemuProcessRefreshDisks-Don-t-skip-filling-of-disk-inform.patch
    - backport/qemu_extdevice-Do-cleanup-host-only-for-VIR_DOMAIN_TPM_TY.patch
    - backport/qemu-blockjob-Handle-pending-blockjob-state-only-when-we-.patch
    - backport/rpc-client-Don-t-check-return-value-of-virNetMessageNew.patch
    - backport/rpc-Don-t-warn-about-max_client_requests-in-single-thread.patch
  * [699a828] patches: Disable passt support
    - debian/patches/debian/Disable-passt-support.patch
      - The feature is not quite ready for prime time yet, so it will remain
        disabled in bookworm

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 26 Feb 2023 18:18:30 +0100

libvirt (9.0.0-1) unstable; urgency=medium

  * [45d077a] libvirt-daemon-system: Make default files functionally empty
    - On systems running systemd, libvirtd will now follow the upstream
      behavior of starting on demand via socket activation and shutting down
      automatically after having been idle for 120 seconds
  * [40fe229] Drop obsolete package transition logic
    - The oldest version that we expect to be upgrading from is 6.0.0-1
  * [5bb56e9] Drop obsolete UML-related files
    - The UML driver was dropped in version 5.0.0-1
  * [f9f3a4d] New upstream version 9.0.0
  * [30dad26] patches: Drop obsolete backports
  * [157a5ec] patches: Add backports
    - backport/apparmor-Allow-umount-dev.patch
    - backport/qemu_interface-Fix-managed-no-case-when-creating-an-ether.patch
  * [94f11a4] libvirt-daemon-sysv: Remove dependency on lsb-base
    - The package is obsolete

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 28 Jan 2023 17:03:53 +0100

libvirt (8.10.0-3) unstable; urgency=medium

  [ Michael Biebl ]
  * [4d6db56] Replace manual maintscript code with dh_installsystemd
    - No longer needed now that #994204 has been addressed
    - Closes: #1021956
  * [91d9ac0] Drop no longer supported static priorities from dh_installinit

  [ Smits Katze ]
  * [60b2ca1] libnss-libvirt: Update apt seccomp filter
    - Allow getdents64() in addition to getdents()
    - Thanks to Thomas Luzat
    - Closes: #934474

  [ Andrea Bolognani ]
  * [b9b2923] libvirt-daemon-system: Depend on polkitd instead of policykit-1
    - Makes it possible to not install / uninstall pkexec
    - Closes: #1025578
  * [c62b8b2] libvirt-daemon-system: Drop polkit rules in legacy pkla format
    - Makes it possible to not install / uninstall polkitd-pkla
  * [8c5870d] control: Bump Standards-Version to 4.6.2
    - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 04 Jan 2023 22:09:31 +0100

libvirt (8.10.0-2) experimental; urgency=medium

  * [145e4fe] patches: Add backports
    - backport/docs-Fix-typo-in-virt-qemu-sev-validate-1.patch
    - backport/tools-Fix-interpreter-for-virt-qemu-sev-validate.patch
    - backport/tools-Fix-style-issues-in-virt-qemu-sev-validate.patch
  * [409e40a] libvirt-clients-qemu: New binary package
    - Contains QEMU-specific tools
    - Depends on Python
  * [bf99e82] libvirt-l10n: New binary package
    - Contains translations
    - Can be safely uninstalled to reduce disk footprint

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 12 Dec 2022 23:03:13 +0100

libvirt (8.10.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * [efe753f] qemu: Recommend swtpm for TPM emulation (Closes: #1009972)

  [ Andrea Bolognani ]
  * [7dc1e3c] New upstream version 8.10.0

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 07 Dec 2022 17:20:19 +0100

libvirt (8.9.0-1) unstable; urgency=medium

  * [981c332] New upstream version 8.9.0
  * [3f29856] control: Add (build) dependency on mount
    - Closes: #1023420

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 19 Nov 2022 23:00:34 +0100

libvirt (8.5.0-2) experimental; urgency=medium

  * [6c9bffb] Implement custom handling for systemd units
    - We've already moved away from dh_installsystemd due to
      #994204, and now we're refactoring the custom code so that
      it's easier to understand and maintain going forward

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 21 Jul 2022 22:28:41 +0200

libvirt (8.5.0-1) unstable; urgency=medium

  * [74b9b5c] New upstream version 8.5.0
  * [94a98bd] control: Fix cross building
    - Explicitly request :native versions of several Build-Depends
  * [417c882] control: Bump Standards-Version to 4.6.1
    - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 17 Jul 2022 17:12:07 +0200

libvirt (8.4.0-1) unstable; urgency=medium

  * [ef2fd0c] New upstream version 8.4.0

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 02 Jun 2022 15:49:13 +0200

libvirt (8.3.0-1) unstable; urgency=medium

  * [f9dd871] New upstream version 8.3.0

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 15 May 2022 15:21:52 +0200

libvirt (8.2.0-1) unstable; urgency=medium

  * [4d84203] New upstream version 8.2.0
    - Fixes CVE-2022-0897 (Closes: #1009075)
  * [d1baa54] patches: Drop backports
  * [333c80a] control: Switch from fuse to fuse3
  * [4793ac2] libvirt-dev: Drop dependency on libxen-dev
    - Thanks to Pino Toscano

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 20 Apr 2022 22:51:26 +0200

libvirt (8.1.0-2) unstable; urgency=medium

  * [ba504f6] systemd: Hardcode output of dh_installsystemd
    - Stop using dh_installsystemd and hardcode slightly tweaked
      versions of its output in maintainer scripts instead, as a
      temporary workaround for #994204
  * [4c89356] systemd: Only ever restart libvirtd on upgrade
    - This avoids guests being stopped or crashing during upgrades

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 19 Mar 2022 19:06:47 +0100

libvirt (8.1.0-1) experimental; urgency=medium

  [ Andrea Bolognani ]
  * [224b64e] New upstream version 8.1.0
  * [06dea7a] patches: Drop backports
  * [9f3a2e6] patches: Add backport/qemu-segmentation-fault-[...].patch
    - Fixes a regression introduced in 8.1.0
  * [70e6209] control: Drop build dependency on dnsmasq-base
    - Availability is only checked at runtime

  [ Martin Pitt ]
  * [171a675] apparmor: Fix QEMU access for UEFI variable files
    - QEMU needs to read, write and lock the NVRAM *.fd files with
      UEFI firmware
    - Closes: #1006324
    - LP: #1962035

  [ Maximilian Engelhardt ]
  * [a06d5e5] control: Drop i386 from Xen arches
    - Starting with version 4.16, Xen is no longer built on the i386
      architecture in Debian
    - Thanks to Diederik de Haas for helping get this fix merged
    - Closes: #1006300

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 15 Mar 2022 23:53:49 +0100

libvirt (8.0.0-1) unstable; urgency=medium

  * [a26cc81] New upstream version 8.0.0
  * [9f18b0d] patches: Drop backports
  * [7ea1214] patches: Add backport/qemu-fix-inactive-snapshot-revert.patch
  * [9454a95] patches: Add backport/Revert-report-error-when-[...].patch
  * [ec3b590] control: Drop dependency on radvd
    - libvirt no longer uses it
  * [19eb356] control: Drop build dependency on parted
    - The parted binary is only needed at runtime

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 22 Jan 2022 19:22:57 +0100

libvirt (7.10.0-3) unstable; urgency=medium

  * [16b245a] control: Improve multiarch support
    - Mark libvirt-{daemon-system-systemd,doc} as Multi-Arch: foreign
    - Mark libvirt-wireshark as Multi-Arch: same
    - Mark libvirt-daemon-driver-* as Multi-Arch: no
  * [ef19843] control: Move Recommends on LVM to -daemon package
    - It's used by the storage driver, not the client library
  * [a10f605] control: Update Uploaders field
    - Add Andrea Bolognani, remove Laurent Léonard
  * [c74efcb] control: Drop obsolete version constraints
    - They're satisfied on our expected backport targets (Debian 11
      and Ubuntu 20.04)
  * [1ad0b3a] control: Drop all Pre-Depends
    - They're not necessary on our expected backport targets

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 09 Jan 2022 11:28:35 +0100

libvirt (7.10.0-2) unstable; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [26f63eb] control: Build-Depend on python3:any to fix cross-building
  * [b14268f] patches: Backport fix for CVE-2021-4147

  [ Joachim Falk ]
  * [9ae5f14] Fix reboot command for LXC containers (Closes: #991773)

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 29 Dec 2021 10:37:15 +0100

libvirt (7.10.0-1) unstable; urgency=medium

  * Team upload

  * [0817e92] New upstream version 7.10.0
  * [2d2fb25] patches: Drop backported patches

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 08 Dec 2021 00:24:01 +0100

libvirt (7.9.0-1) unstable; urgency=medium

  * Team upload

  * [2c54c68] New upstream version 7.9.0
    - Closes: #994061
    - Fixes FTBFS (Closes: #997108)
  * [6ca05a9] patches: Update ZFS enablement patches
    - Replace the Debian-specific patch
        debian/Set-defaults-for-zfs-tools.patch
      with backported upstream patches
        backport/meson-Enable-ZFS-storage-backend-even-more-often.patch
        backport/meson-Stop-looking-up-ZFS-programs-at-build-time.patch
  * [32a1e7b] patches: Add backport/wireshark-Switch-to-tvb_bytes_to_str.patch
    - Needed to build against Wireshark 3.6.0
  * [30fdaae] libvirt-daemon-system: Make QEMU cache directory root-owned
    - Recent changes in libvirt make it possible to be more strict
  * [8c2f99b] tests: No longer skip smoke-lxc with both cgroups v1&v2 present
    - The bug that made this workaround necessary has been resolved
  * [803bd5a] control: Bump Standards-Version to 4.6.0
    - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 06 Dec 2021 21:56:00 +0100

libvirt (7.6.0-1) unstable; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [a256a80] New upstream version 7.6.0
    - Fixes CVE-2021-3667 (Closes: #991594)
  * [4a96793] rules: Disable netcf support
    - netcf support is considered deprecated upstream

  [ Christian Ehrhardt ]
  * [ac145fd] d/rules: disable the new Cloud Hypervisor driver
    - Cloud Hypervisor is not available in Debian
  * [4bafac5] d/control, d/rules: enable libssh
    - Closes: #985969
    - LP: #1939416
  * [fbc728f] d/t/smoke-lxc: skip if cgroup v1&v2 are present
    - This works around an upstream bug which causes the LXC driver
      to break when both v1 and v2 cgroups are in use
  * [8d2e0fe] d/control: add libtirpc for rpc.h with glibc >=2.31-14
    - Switch from glibc's legacy RPC implementation, which is now
      disabled in the Debian package, to libtirpc's one

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 19 Aug 2021 21:16:21 +0200

libvirt (7.0.0-3) unstable; urgency=medium

  * Team upload

  * [5ae74e0] libvirtd: Improve default file
  * [b11d3c3] virtlogd: Fix some bugs in the sysv init script

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 26 Feb 2021 16:46:34 +0100

libvirt (7.0.0-2) unstable; urgency=medium

  * Team upload

  [ Matthew Gabeler-Lee ]
  * [7391555] control: recommend qemu support for iscsi-direct
    - Closes: #981284

  [ Andrea Bolognani ]
  * [8048eef] control: Always use versioned deps for libvirt components
    - Closes: #981435
  * [effe0cd] control: Always explicitly depend on libvirt0
  * [d3c8ec2] control: Bump Standards-Version to 4.5.1

  [ Christian Ehrhardt ]
  * [3cbe8f9] d/control: avoid libvirt-clients to pull in libvirt-daemon
  * [295944d] systemd: start, but do not restart libvirt-guests.service
  * [ddbad4b] systemd: do not restart sockets

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 10 Feb 2021 23:23:32 +0100

libvirt (7.0.0-1) unstable; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [561e347] libvirt-daemon-config-nwfilter: Install new nwfilters
  * [56231e3] patches: Add backport/meson-Fix-cross-building-[...].patch
    - Closes: #980334

  [ Christian Ehrhardt ]
  * [6568c68] apparmor: allow hot-plug for qcow backing chains
    - Closes: #981001
  * [8173ce4] libvirt-daemon-config-*: reload libvirtd before restart
  * [dc21d88] systemd: Drop libvirtd dep from virt-guest-shutdown.target
    - Avoids reintroducing: #955216

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 28 Jan 2021 22:06:43 +0100

libvirt (6.9.0-4) unstable; urgency=medium

  * Team upload

  * [f5c0ebf] control: Strengthen dependencies between packages

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 22 Jan 2021 22:31:04 +0100

libvirt (6.9.0-3) unstable; urgency=medium

  * Team upload

  * [81999fb] rules: Move virt-aa-helper to libvirt-daemon
  * [b9b6a95] control: Make libvirt-daemon-system-{systemd,sysv} Arch: all

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 19 Jan 2021 23:10:20 +0100

libvirt (6.9.0-2) experimental; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [55504dd] libvirt-daemon-config-network: New binary package
    - Closes: #973489
  * [0168a25] libvirt-daemon-config-nwfilter: New binary package
  * [7ad0fe3] libvirt-daemon-driver-storage-iscsi-direct: New binary package
    - Closes: #918728
  * [aadb56a] libvirt-login-shell: New binary package
  * [807a8de] libvirt-clients: Move out virt-qemu-run
  * [3af477f] libvirt-daemon: Move out libvirt_lxc
  * [03f8bbb] libvirt-daemon: Move out sanlock-related files
  * [b94f649] libvirt-daemon: Move out bash-completion support
    - Closes: #904036

  [ Guido Günther ]
  * [acb5c16] d/control: Use qemu-system instead of qemu
    - Closes: #966239

  [ Christian Ehrhardt ]
  * [8c1bf5d] d/control: fix circular dependency on libvirt-daemon-driver-qemu
    - Closes: #963898
  * [3d8fdd2] apparmor: add local include for libvirt-qemu & libvirt-lxc

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 14 Jan 2021 23:51:32 +0100

libvirt (6.9.0-1) unstable; urgency=medium

  * Team upload

  * [9328bc8] New upstream version 6.9.0
  * [88c8a9e] patches: Drop backport/rpc-Fix-virt-ssh-helper-detection.patch

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 08 Nov 2020 15:33:59 +0100

libvirt (6.8.0-1) unstable; urgency=medium

  * Team upload

  * [a09e8f2] New upstream version 6.8.0
  * [11671ad] patches: Drop backport/[...]gluster-module-dep.patch
  * [d4522ee] patches: Add backport/rpc-Fix-virt-ssh-helper-detection.patch
  * [1012105] libvirt-daemon: Install virt-ssh-helper
  * [1070367] control: Drop Build-Depends on netcat-openbsd
  * [509eb72] control: Drop Build-Depends on libdbus-1-dev

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 28 Oct 2020 01:08:23 +0100

libvirt (6.7.0-3) experimental; urgency=medium

  * Team upload

  * [2a7b4f4] rules: Decrease timeout for tests to 5m
  * [6337ea2] rules: Make dh_missing errors non-fatal for -indep builds

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 11 Oct 2020 16:29:18 +0200

libvirt (6.7.0-2) experimental; urgency=medium

  * [7b7ff73] patches: Add backport/[...]gluster-module-dep.patch
  * [a9cc391] debhelper: Use compat level 13
  * [b327f9a] rules: Increase timeout for tests to 15m

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 10 Sep 2020 18:29:25 +0200

libvirt (6.7.0-1) experimental; urgency=medium

  * Team upload

  * [0d7a347] New upstream version 6.7.0
  * [c6306e9] patches: Drop obsolete patches
    The following patches are no longer necessary:
    - backport/apparmor-allow-default-pki-path.patch
    - backport/apparmor-allow-libvirtd-to-call-pygrub.patch
    - backport/apparmor-allow-libvirtd-to-call-virtiofsd.patch
    - backport/tools-fix-libvirt-guests.sh-text-assignments.patch
    - backport/virdevmapper-Don-t-cache-device-mapper-major.patch
    - backport/virdevmapper-Handle-kernel-without-device-mapper-support.patch
    - backport/virdevmapper-Ignore-all-errors-when-opening-dev-mapper-co.patch
    - debian/Prefer-sbin-over-usr-sbin.patch
  * [72f7997] patches: Rewrite build system patches
    The following patches have been rewritten:
    - debian/Revert-m4-virt-xdr-rewrite-XDR-check.patch
    - debian/Set-defaults-for-zfs-tools.patch
  * [37e7b80] patches: Add debian/Use-sensible-editor-by-default.patch
    Replaces use of the removed --with-default-editor configure option
  * [c326ac4] control: Add Build-Depends on meson

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 01 Sep 2020 23:26:23 +0200

libvirt (6.6.0-2) unstable; urgency=medium

  * Team upload

  [ Christian Ehrhardt ]
  * fix libvirt-lxc that was broken by libtirpc linking issues (LP: #1892826)
    - [92acaf6] add d/p/debian/Revert-m4-virt-xdr-rewrite-XDR-check.patch
    - [90093c0] Revert "control: Add Build-Depends on libtirpc-dev"
  * [c12faf1] replace patches for pki and pygrub with clean upstream backports
  * [6377d90] apparmor: allow libvirtd to call virtiofsd (LP: #1892736)

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 28 Aug 2020 17:18:51 +0200

libvirt (6.6.0-1) unstable; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [ecdcc72] New upstream version 6.6.0
    Includes fix for CVE-2020-14339 (Closes: #966563)
  * [751e146] upstream: Add key for Jiří Denemark
  * [ab2a1b4] control: Add Build-Depends on libtirpc-dev
  * [8714f7d] control: Drop Build-Depends on libncurses5-dev.
  * [1137e33] patches: Assign topic to all patches.
  * [51e52ab] patches: Reorder patches.

  [ Christian Ehrhardt ]
  * [ceab403] d/control, d/rules: feature architecture parity.
    Enable systemtap, numa and numad on more architectures.
  * [dd2d1a9] Drop d/p/apparmor-Allow-[....]-name-service-.patch.
    Doesn't seem to be necessary anymore.
  * [d31eba5] fix device mapper issues.
    Add the following backports:
    - virdevmapper-Don-t-cache-device-mapper-major.patch
    - virdevmapper-Ignore-all-errors-when-opening-dev-mapper-co.patch
    - virdevmapper-Handle-kernel-without-device-mapper-support.patch
  * [3145e31] tools: fix libvirt-guests.sh text assignments
    Add the following backports:
    - tools-fix-libvirt-guests.sh-text-assignments.patch

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 22 Aug 2020 17:05:23 +0200

libvirt (6.5.0-1) unstable; urgency=medium

  * Team upload

  * [38c0fa7] New upstream version 6.5.0
  * [b8a07b4] control: Add Recommends for mdevctl

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 27 Jul 2020 22:50:08 +0200

libvirt (6.4.0-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [d0f7eb5] enable attr support to be able to store XATTR labels.
    Among other things this allows to properly restore file ownership
    - d/control: build depend on libattr1-dev
    - d/rules: configure --with-attr
    Fixes: https://bugs.launchpad.net/ubuntu/+source/libvirt/+bug/691590

  [ Andrea Bolognani ]
  * Use consistent layout in packaging files

 -- Guido Günther <agx@sigxcpu.org>  Fri, 10 Jul 2020 16:44:12 +0200

libvirt (6.4.0-1) experimental; urgency=medium

  * Team upload

  * [1662a90] New upstream version 6.4.0
    Includes a fix for CVE-2020-14301 (Closes: #963474)
  * [ad19936] patches: Drop tests-Mock-[...]-for-qemuhotplug.patch
  * [bfc4f8b] rules: Install upstream release notes
  * [995991b] control: Set Rules-Requires-Root: no
  * [dd75022] control: Bump Standards-Version to 4.5.0
  * [fa6aefb] rules: Enable 'bindnow' hardening option

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 21 Jun 2020 23:59:13 +0200

libvirt (6.2.0-1) experimental; urgency=medium

  * Team upload

  [ Guido Günther ]
  * Upload to experimental
  * [1b6982f] New upstream version 6.2.0
    Contains fix for CVE-2020-10701. (Closes: #955841)
      Thanks to Carnil for the triage
    Contains fix for CVE-2020-12430. (Closes: #959447)

  [ Andrea Bolognani ]
  * [ba77756] patches: Drop all gnulib-related patches
    Specifically:
      openpty-Skip-test-if-no-pty-is-available.patch
      Disable-gnulib-s-test-nonplocking-pipe.sh.patch
      test-posix_openpt-don-t-fail-on-EACCESS.patch
  * [2e0b5f1] patches: Add tests-Mock-[...]-for-qemuhotplug.patch
    Replaces:
      skip-qemuhotplugtest.patch
  * [7c1e182] debhelper: Use debhelper-compat package

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 03 May 2020 01:32:30 +0200

libvirt (6.0.0-7) unstable; urgency=medium

  [ Laurent Bigonville ]
  * [4e6f909] Disable polkit support on !linux, see: #927896
  * [3ee1c87] Do not build-depends against libglusterfs-dev on non-linux
    architectures

  [ Guido Günther ]
  * [41c33eb] Rediff patches
  * [da804f9] Backport fix for CVE-2020-10701.
    Thanks to Carnil for the triage (Closes: #955841)
  * [a5dd08c] d/rules: systemd: Also pass --no-restart-on-upgrade when using
    --no-start.

  [ Andrea Bolognani ]
  * [0c6a3a0] salsa-ci: Create local pristine-tar branch.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 13 May 2020 12:12:36 +0200

libvirt (6.0.0-6) unstable; urgency=medium

  [ Laurent Bigonville ]
  * [ea7b8b7] autopkgtest exits with 2 when there are skipped tests do not
    consider that as fatal

  [ Guido Günther ]
  * [100e8aa] Don't start or restart socket units on package upgrades.
    Changes get picked up when the corresponding system unit is being restarted.
    This avoids problems when socket and service units of the same service get
    restarted together. See #955483 for details.
  * [ff981d5] Pass --no-auto to dh_instalsystemd.
    This avoids generation of restart snippets for services listed in `Also=`
    sections of the service units. Otherwise these get restarted but we want
    to avoid that and let systemd figure it out all by itself.
    See: #955483, #841095

 -- Guido Günther <agx@sigxcpu.org>  Wed, 08 Apr 2020 17:04:11 +0200

libvirt (6.0.0-5) unstable; urgency=medium

  [ Guido Günther ]
  * [421e865] systemd: Don't restart libvirt-guests on upgrade
    (Closes: #955216)

  [ Laurent Bigonville ]
  * [5f72035] Only run qemu test on amd64
    (Closes: #955278)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Mar 2020 09:39:40 +0200

libvirt (6.0.0-4) unstable; urgency=medium

  * [d7df842] sysv: Don't restart libvirt-guests on upgrade
    (Closes: #954921)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 24 Mar 2020 15:10:20 +0100

libvirt (6.0.0-3) unstable; urgency=medium

  * [de68a4b] Bump Breaks/conflicts.
    While there were conflicts/breaks for the driver split we moved
    the augeas lenses in 6.0.0-1. (Closes: #954032, #953894)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 16 Mar 2020 09:55:01 +0100

libvirt (6.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Sat, 14 Mar 2020 12:37:22 +0100

libvirt (6.0.0-1) experimental; urgency=medium

  [ Guido Günther ]
  * [33890b9] New upstream version 6.0.0
    (Closes: #939552) 
  * [c9f82be] gitlab-ci: Run autopkgtests

  [ Christian Ehrhardt ]
  * [fa167bc] d/libnss-libvirt.lintian-overrides: accept having two nss so
    files
  * [bf48357] d/libvirt-daemon-system-sysv.lintian-overrides: not shipping
    systemd files.  Packages are split intentionally, ignore this lintian
    warning.
  * [2278598] d/rules: also check build time self test results on all
    architectures
  * [c1be36a] d/rules: drop doc binary cleanup.
  * [6d60c3c] d/rules: don't ship split daemons just yet
  * [33f8dc4] d/p/skip-qemuhotplugtest.patch: fix qemuhotplugtest.
    Skip some elements of qemuhotplugtest that for now break in
    Debian/Ubuntu build environments.
  * [a1734f7] d/rules: add libvirt-guests.default to libvirt-daemon-system
    instead of libvirt-daemon-system-sysv
  * [69f6cfe] d/rules: install /etc/default/* files that are shared between
    sysv and systemd packages
  * [31be682] d/rules: install virtlockd for sysv
    (Closes: #880970)

  [ Andrea Bolognani ]
  * [070d158] Install virt-login-shell-helper.
    This new binary was introduced in libvirt 5.7.0 and is necessary for
    virt-login-shell to work.
  * [143dafb] Install augeas lenses for all drivers.
    These slipped through the cracks when we moved from picking up the
    corresponding directories as a whole to listing the specific files we're
    interested in.
  * [efa4cfe] Remove all mentions of Devhelp.
    As of libvirt 5.8.0, the corresponding files are no longer
    generated.
  * [8ebd427] not-installed: Remove obsolete entries.
    Now that upstream's build system has been fixed and we're picking up the
    documentation from the install location rather than the source directory,
    the corresponding files will no longer be flagged by dh_missing.
  * [ce54aef] not-installed: List all split daemons files.
    Since we're not shipping split daemons yet, the corresponding
    binaries as well as systemd units and augeas lenses will be
    flagged by dh_missing if we don't list them here.
  * [391e39d] symbols: Drop LIBVIRT_5.9.0
    libvirt 5.9.0 didn't introduce any new public symbols.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 12 Feb 2020 13:06:33 +0100

libvirt (6.0.0~rc1-1) experimental; urgency=medium

  [ Guido Günther ]
  * [443fae0] New upstream version 6.0.0~rc1
  * [70c5676] Bump symbol versions
  * [eb6c6c1] gitlab-ci: Build package.
    We unfortunately can't use salsa-ci's prebuilt pipeline since
    that hangs on large jobs:
    https://salsa.debian.org/salsa/support/issues/180
    We redirct output to a file to work around:
    https://salsa.debian.org/salsa/support/issues/191

  [ Christian Ehrhardt ]
  * [cc6b955] refresh d/p/* for v6.0.0
  * [5639ffb] d/control: bump build dep to python3
  * [dc99d35] d/rules: set enable-dependency-tracking to avoid FTBFS.
  * [af131c7] d/rules: drop the no more existing xen configure option
  * [84367d9] d/control: add python3-docutils as build dependency
  * [37f0a5c] d/libvirt-doc.doc: install rendered docs
  * [880f00e] d/libvirt-daemon-system.examples: Drop examples that are now
    conf files
  * [671aeca] d/libvirt-doc.doc-base.libvirt-doc: adapt doc base to new file
    placement

 -- Guido Günther <agx@sigxcpu.org>  Sat, 18 Jan 2020 18:16:20 +0100

libvirt (5.6.0-4) experimental; urgency=medium

  * [d88536d] Introduce libvirt-daemon-system-{systemd,sysv} Move init scripts
    to separate package that allows people to experiment with alternative init
    systems while avoiding the problems that mixed init scripts and systemd
    units have in the current packaging.
    Thanks to Christian Ehrhardt for all the input regarding upgrade
    problems seen in Ubuntu and possible solutions.
    (Closes: #887911, #905772)
  * [c19d230] autopkg tests: Use isolation-machine.
    This avoids running under debian ci since libvirt-lxc in lxc
    doesn't work there. (Closes: #947006)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Jan 2020 13:51:05 +0100

libvirt (5.6.0-3) unstable; urgency=medium

  * Team upload.

  [ Christian Ehrhardt ]
  * Move qemu, lxc, uml, vbox and xen connection drivers into separate
    packages. This reduces the dependencies pulled into default installations.
    (Closes: #901940)
  * d/copyright: Update

  [ Guido Günther ]
  * [362bec6] autopkgtest: Adjust to new path

 -- Guido Günther <agx@sigxcpu.org>  Wed, 27 Nov 2019 11:13:51 +0100

libvirt (5.6.0-2) unstable; urgency=medium

  * Team upload.

  * [4dcbe93] Revert "Disable libvirtd socket activation" (Closes: #935883)
  * [b464de1] Add libvirtd sockets handling

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 28 Aug 2019 19:39:00 +0200

libvirt (5.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Guido Günther ]
  * [fb43676] d/control: Drop dh-autoreconf build-dep
  * [81d21d5] d/not-installed: Use multi-arch dirs
  * [07d5669] New upstream version 5.6.0
    Fixes CVE-2018-12126, CVE-2018-12127, CVE-2018-12130, CVE-2019-11091,
    CVE-2019-10132
    (Closes: #915107, #931243, #929334)
  * [9f38a9e] apparmor: Allow run pygrub
    (Closes: #931768)
  * Acknowledge NMU. Thanks Jonathan Wiltshire

  [ Christian Ehrhardt ]
  * [c28c3b3] d/libvirt0.install: install translations
  * [c3c4cd4] d/libvirt-daemon-system.install: drop in helper for firewalld
  * [3e8b43c] d/not-installed: ignore default files /etc/sysconfig
  * [c223d7f] d/libvirt-daemon-system.examples: ship sysctl config as example
  * [f19acf6] d/libvirt-daemon-system.install: ship libxl-sanlock.conf
    (Closes: #919484)
  * [483e44a] d/libvirt-doc.docs: fix whitespace issue
  * [4f4751f] d/libvirt-doc.docs: install new doc elements
  * [781e22e] d/not-installed: ignore documentation already being installed
  * [eda89b2] d/no-installed, d/libvirt-doc.docs: do not install fonts
  * [ab67a28] d/copyright: add license for docs/fonts/
  * [2e222a2] d/rules: strip symbolic-functions linker option
  * [39b658c] Revert "d/libvirt-daemon-system.install: ship
    libxl-sanlock.conf"
  * [ce46360] d/rules: install libxl-sanlock.conf dependent on xen being
    enabled

  [ Andrea Bolognani ]
  * [6a2eae3] Simplify and improve watch file
  * [82a1edc] Bump symbol versions
  * [73fccd9] Specify --doc-main-package for dh_installdocs
  * [d48fdf6] Rediff patches
  * [3b16c86] Bump symbol versions
  * [48c9b75] Drop Avahi support
  * [a49de91] Fix AppArmor profile for virt-aa-helper
  * [b8e92da] Disable libvirtd socket activation
  * [73d1e8c] Install kbase articles

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 25 Aug 2019 16:32:31 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libvirt-common`.
